package com.weiqi.mis.mapper;

import com.weiqi.mis.domain.WxXrPemsOrder;
import com.weiqi.mis.domain.WxXrPemsOrderExample;
import java.util.List;

public interface WxXrPemsOrderMapper {
    int countByExample(WxXrPemsOrderExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(WxXrPemsOrder record);

    int insertSelective(WxXrPemsOrder record);

    List<WxXrPemsOrder> selectByExampleWithBLOBs(WxXrPemsOrderExample example);

    List<WxXrPemsOrder> selectByExample(WxXrPemsOrderExample example);

    WxXrPemsOrder selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(WxXrPemsOrder record);

    int updateByPrimaryKeyWithBLOBs(WxXrPemsOrder record);

    int updateByPrimaryKey(WxXrPemsOrder record);
}